Subject: Re: bug#14613: [PATCH] Make parse_datetime (and therefore `date') handle 'DAY MONTH, YEAR'

From: Sergio Durigan Junior <[email-masked]>
Date: Sat, 27 Jul 2013 20:13:34 -0300

On Saturday, July 27 2013, Paul Eggert wrote:

> That format is typically considered to be erroneous, e.g.,
> <http://www.grammar.com/dates-day-month-year/>, so I'm
> not sure parse_datetime should be supporting it.

I wasn't aware parse_datetime followed a defined grammar.  And this
seems to be an English grammar idiosyncrasy, which is definitely not
familiar to me (not a native english speaker).

IMO, I don't really see a problem supporting an "erroneous English
grammar", since parse_datetime should probably not be so strict about it
and adapt to such small cases.

Anyway, just my opinion.

-- 
Sergio